[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20090118 changes



Debarshi Ray wrote:
New package gtksourceviewmm
       A C++ wrapper for the gtksourceview widget library

Does this not replace libgtksourceviewmm [1] ? Or is one related to
gtksourceview and the other to gtksourceview2?

The latter. libgtksourceviewmm is the 1.0 API, while gtksourceviewmm is the 2.0 API (upstream tarball was renamed, hence the new package review). The corresponding C API packages are gtksourceview and gtksourceview2 respectively (an interesting "compat package in disguise" tactic).

There's only one dependency left on libgtksourceviewmm (glom), after which we can EOL it. (glom update to 1.9.0 is currently waiting for libgda-4.0-friendly release of gnome-python-extras, which according to upstream will happen soon).


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]